package cn.com.victorysoft.business.calc.service;

import cn.com.victorysoft.business.calc.dao.FlushDataSyncDao;
import cn.com.victorysoft.business.calc.dao.QualityDataSyncDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;

/**
 * 水质检测数据同步服务
 */
@Slf4j
@Service
public class QualityDataSyncService {

    @Resource
    private QualityDataSyncDao qualityDataSyncDao;

    @Transactional
    public void syncQualityData(Date startDate, Date endDate) {
        qualityDataSyncDao.syncQualityData(startDate, endDate);
    }

    @Transactional
    public void xchyfxSzjcsj(Date startDate, Date endDate) {
        qualityDataSyncDao.szjcsjQualityData(startDate, endDate);
        qualityDataSyncDao.xchyfxQualityData(startDate, endDate);
    }

}
